 % Ozkan Sertlek, 2015, University of Leiden
 % reads .ain file
%% environment
env_in=load('environment.ain');
tmax=env_in(1);  % duration of simulated signature
Tw=env_in(2)+273;  % water temperature
rhow_inf=env_in(3); %water density
c_inf=env_in(4); % sound speed 
%% calibration parameters
tao0=env_in(5);
beta=env_in(6);
eta=env_in(7);
k=env_in(8);
dt=env_in(9);
%% unit conversions
atm_to_Pa=101325; % uniy
psi_to_Pa=6894.75729; 
in3_to_m3=0.000016387064;
P_atm=1*atm_to_Pa;

%% constants
g=9.80665 ; % grativity
Ma=0.028970250871080;
cp=1005*Ma;
cv=718*Ma;
Rg=(cp-cv);
n=7;
B=3000*atm_to_Pa;
cw=c_inf; % sound speed in sea water
r=1; % range (default=1 m)
% these coefficients are not used. Calibration is done without these
% coefficients
sigma=0; %72.583e-3;
mu=0; %0.001077;
%pv=2300;